<!DOCTYPE html><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /></head><body>
<%var lang = args["language_type"]; %>
<div id="Set_Fuse" template='<form action="../cgi-bin/web_cgi_control.cgi" id="settingForm" method="post"><ul class="popul">
                <li id="SetFuseFullName" class="popli"><span <%if(lang==0){ %>style="width:120px"<%} %>>/*[ID_TIPS]*/:</span>
					 <input class="set_value" name="sSignalName_en" pname="sSignalName_en" maxlength="32"/>
					 <label>/*[ID_INPUTTIP2]*/</label>
                </li>
                <li id="SetFuseAbbrName" class="popli"><span <%if(lang==0){ %>style="width:120px"<%} %>>/*[ID_TIPS2]*/:</span>
					 <input class="set_value" name="sSignalAbbrName_en" pname="sSignalAbbrName_en" maxlength="15"/>
					 <label>/*[ID_INPUTTIP3]*/</label>
                </li>
                 <li class="info" id="SetFuseInfo"></li>
                 <li class="btn"><a href="#" hidefocus="true" class="btn_set"><i>/*[ID_SET]*/</i></a></li>
            </ul></form>'>
 <% 
 var RelayArr=data.FUSE.CR;
 if(RelayArr.length>0){
     var hash = {};
      var c = 0;
       for ( var i = 0; i < RelayArr.length; i++) {
         //去除json数组里面重复情况
         (hash[RelayArr[i]] == undefined) && (hash[RelayArr[i][0]]=RelayArr[i][0]);
       }
     var Relaylist=RelayArr;
         for(var o in hash){
         cid=o.split(',')[0];
          for(var m = 0;m < Relaylist.length; m++){
             if(Relaylist[m][0]==cid){
             var isZK = (jQuery.inArray(c,Configs.PowerSystem)=="-1") ? false : true;
 %>
                 <div class="table-container <%if(!isZK){ %> border-bn <%} %>"> 
                 <div class="table-title table-ex"><span class="<%if(!isZK){ %>title-zk<%} else { %>title-sl<%} %>"><i></i><%=Relaylist[m][3][lang] %></span></div>
                        <div id="fuselist" class="table-list padding-tn table-content" index="<%=c %>" <%if(jQuery.inArray(c,Configs.PowerSystem)!="-1"){ %> style="display:block;" <%} %> >
                        <form action="../cgi-bin/web_cgi_control.cgi" method="post">
                             <div class="table">
                              <div class="table-header">
                                <ul>
                                    <li class="t-1"><strong class="left pl">/*[ID_SIGNAL_NAME]*/</strong></li>
                                    <li class="t-3"></li>
                                    <li class="t-4"></li>
                                    <li class="t-5"><strong class="left pl mgrs">/*[ID_MODIFY]*/</strong></li>
                                </ul>
                             </div>
                                 <div class="table-body">
                                       <% 
                                        for(var j = 0,ilen=Relaylist.length;j < ilen; j++){
                                            if(Relaylist[j][0]==cid){
                                           %>
                                               <ul class= "<%if(j%2==0){%> gray <%if(j==ilen-1){ %> bottom_line <%}}else{ if(j==ilen-1){ %> bottom_line2 <%}} %>">
                                                   <li class="t-1"><span class="left pl"><%=Relaylist[j][4][lang]%></span></li>
                                                   <li class="t-3"></li>
                                                   <li class="t-4"></li>
                                                   <li class="t-5"><a href="javascript:void(0)" hideFocus="true" value="" class="btn_mod" post="language_type=<%=lang %>&equip_ID=<%=Relaylist[j][0]%>&signal_type=<%=Relaylist[j][1]%>&signal_id=<%=Relaylist[j][2]%>&control_value=&control_type=0"  modifydatas='{"sSignalName_en":"<%=Relaylist[j][4][lang]%>","sSignalAbbrName_en":"<%=Relaylist[j][5][lang] %>"}'><i>/*[ID_MODIFY1]*/</i></a></li>
                                                   </ul>
                                          <% }}
                                      %>
                                 </div>
                              </div>
                              </form>
                         </div>
                    </div>
           <%
            c++;break;}}}}else{%>
            <div class="system-no-data">/*[ID_NO_DATA]*/</div>
          <%}
           %>
 </div>
</body>
</html>